Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mapping
[Groovy] Class ControllerActionConventions

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.ControllerActionConventions

    class ControllerActionConventions
    extends java.lang.Object

Includes constants for common conventions for controller actions

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`static java.lang.String` | `ACTION_CREATE`
`static java.lang.String` | `ACTION_DELETE`
`static java.lang.String` | `ACTION_EDIT`
`static java.lang.String` | `ACTION_INDEX`
`static java.lang.String` | `ACTION_SAVE`
`static java.lang.String` | `ACTION_SHOW`
`static java.lang.String` | `ACTION_UPDATE`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### ACTION_CREATE

    static java.lang.String ACTION_CREATE

### ACTION_DELETE

    static java.lang.String ACTION_DELETE

### ACTION_EDIT

    static java.lang.String ACTION_EDIT

### ACTION_INDEX

    static java.lang.String ACTION_INDEX

### ACTION_SAVE

    static java.lang.String ACTION_SAVE

### ACTION_SHOW

    static java.lang.String ACTION_SHOW

### ACTION_UPDATE

    static java.lang.String ACTION_UPDATE

Groovy Documentation